Loading...
Searching...
No Matches
field_expr_terminal.cc File Reference

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Macros

#define | _RHEOLEF_instanciation_base_seq_only(T)
#define | _RHEOLEF_instanciation_base_both_members_diff(T, M, Result, Diff)
#define | _RHEOLEF_instanciation_base_both_members_alls(T, M, Result)
#define | _RHEOLEF_instanciation_base_both(T, M)
#define | _RHEOLEF_instanciation_seq(T)
#define | _RHEOLEF_instanciation_dis(T) _RHEOLEF_instanciation_base_both(T,distributed) \

## Functions

template<class T , class M >
const geo_element & | global_get_side (const geo_basic< T, M > &omega_L, const geo_element &L, const side_information_type &sid)
template<class T , class M , class Value >
void | interpolate_pass2_valued (const field_basic< T, M > &uh, const disarray< point_basic< T >, M > &x, const disarray< index_set, M > &ie2dis_ix, const disarray< point_basic< T >, M > &hat_y, disarray< Value, M > &ux)

## Macro Definition Documentation

## _RHEOLEF_instanciation_base_seq_only

#define _RHEOLEF_instanciation_base_seq_only | ( |  | T | ) |

Value:
template class field_expr_v2_nonlinear_terminal_function_base_rep<T>; \
template class field_expr_v2_nonlinear_terminal_function_rep< normal_pseudo_function<T> >; \
template class field_expr_v2_nonlinear_terminal_function_rep<h_local_pseudo_function<T> >; \
template class field_expr_v2_nonlinear_terminal_function_rep<penalty_pseudo_function<T> >; \

Definition at line 623 of file field_expr_terminal.cc.

## _RHEOLEF_instanciation_base_both_members_diff

#define _RHEOLEF_instanciation_base_both_members_diff | ( |  | T,
|  |  | M,
|  |  | Result,
|  |  | Diff
| ) |  |

Value:
template void field_expr_v2_nonlinear_terminal_field_rep<T,M,Diff>::evaluate ( \
const geo_basic<T,M>& omega_K, \
const geo_element& K, \
Eigen::Matrix<Result,Eigen::Dynamic,1>& value) const; \
template void field_expr_v2_nonlinear_terminal_field_rep<T,M,Diff>::evaluate_on_side ( \
const geo_basic<T,M>& omega_L, \
const geo_element& L, \
const side_information_type& sid, \
Eigen::Matrix<Result,Eigen::Dynamic,1>& value) const; \

Definition at line 630 of file field_expr_terminal.cc.

## _RHEOLEF_instanciation_base_both_members_alls

#define _RHEOLEF_instanciation_base_both_members_alls | ( |  | T,
|  |  | M,
|  |  | Result
| ) |  |

Value:
_RHEOLEF_instanciation_base_both_members_diff(T,M,Result,details::differentiate_option::none) \
_RHEOLEF_instanciation_base_both_members_diff(T,M,Result,details::differentiate_option::gradient) \
_RHEOLEF_instanciation_base_both_members_diff(T,M,Result,details::differentiate_option::divergence) \
_RHEOLEF_instanciation_base_both_members_diff(T,M,Result,details::differentiate_option::curl) \
template void field_expr_v2_nonlinear_terminal_field_o_characteristic_rep<T,M>::evaluate ( \
const geo_basic<float_type,memory_type>& omega_K, \
const geo_element& K, \
Eigen::Matrix<Result,Eigen::Dynamic,1>& value) const; \
template void field_expr_v2_nonlinear_terminal_field_dg_rep<T,M>::evaluate ( \
const geo_basic<float_type,memory_type>& omega_K, \
const geo_element& K, \
Eigen::Matrix<Result,Eigen::Dynamic,1>& value) const; \
T
Expr1::float_type T
Definition field_expr.h:230
_RHEOLEF_instanciation_base_both_members_diff
#define _RHEOLEF_instanciation_base_both_members_diff(T, M, Result, Diff)
Definition field_expr_terminal.cc:630
M
Expr1::memory_type M
Definition vec_expr_v2.h:416

Definition at line 641 of file field_expr_terminal.cc.

## _RHEOLEF_instanciation_base_both

#define _RHEOLEF_instanciation_base_both | ( |  | T,
|  |  | M
| ) |  |

Value:
template const geo_element& global_get_side ( \
const geo_basic<T,M>&, const geo_element&, const side_information_type&); \
template const geo_element& field_expr_v2_nonlinear_terminal_function_base_rep<T>::get_side ( \
const geo_basic<T,M>& omega_L, \
const geo_element& L, \
const side_information_type& sid) const; \
template class field_expr_v2_nonlinear_terminal_field_rep<T,M,details::differentiate_option::none>; \
template class field_expr_v2_nonlinear_terminal_field_rep<T,M,details::differentiate_option::gradient>; \
template class field_expr_v2_nonlinear_terminal_field_rep<T,M,details::differentiate_option::divergence>; \
template class field_expr_v2_nonlinear_terminal_field_rep<T,M,details::differentiate_option::curl>; \
template class field_expr_v2_nonlinear_terminal_field_dg_rep<T,M>; \
template class field_expr_v2_nonlinear_terminal_field_o_characteristic_rep<T,M>; \
_RHEOLEF_instanciation_base_both_members_alls(T,M,T) \
_RHEOLEF_instanciation_base_both_members_alls(T,M,point_basic<T>) \
_RHEOLEF_instanciation_base_both_members_alls(T,M,tensor_basic<T>) \
_RHEOLEF_instanciation_base_both_members_alls(T,M,tensor3_basic<T>) \
_RHEOLEF_instanciation_base_both_members_alls(T,M,tensor4_basic<T>) \

Definition at line 655 of file field_expr_terminal.cc.

## _RHEOLEF_instanciation_seq

#define _RHEOLEF_instanciation_seq | ( |  | T | ) |

Value:
_RHEOLEF_instanciation_base_seq_only(T) \
_RHEOLEF_instanciation_base_both(T,sequential) \
_RHEOLEF_instanciation_base_seq_only
#define _RHEOLEF_instanciation_base_seq_only(T)
Definition field_expr_terminal.cc:623

Definition at line 674 of file field_expr_terminal.cc.

## _RHEOLEF_instanciation_dis

#define _RHEOLEF_instanciation_dis | ( |  | T | ) | _RHEOLEF_instanciation_base_both(T,distributed) \

Definition at line 678 of file field_expr_terminal.cc.